// 帮助反馈
import 'package:leancloud_storage/leancloud.dart';

class APIFeedback {

  // 获取反馈问题列表
  static getProblemTypeList({Function(List<LCObject>) onSucc, Function(String) onFail}) async {

    try {
      LCQuery query = LCQuery('ProblemType');
      query.whereNotEqualTo('isActive', 0);
      query.orderByAscending('createdAt');
      List<LCObject> datas = await query.find();
      if (onSucc != null) onSucc(datas);
    } on LCException catch (_) {
      if (onFail != null) onFail('数据获取失败');
    }

  }

  // 提交反馈问题
  static commitProblemFeedBack(LCObject product, String message, String contactWay,
  {Function(LCObject) onSucc, Function(String) onFail}) async {
    try {
      LCObject object = LCObject('ProblemFeedback');
      object['product'] = product ?? '';
      object['message'] = message ?? '';
      object['contactWay'] = contactWay ?? '';
      final resp = await object.save();
      if (onSucc != null) onSucc(resp);
    } on LCException catch (_) {
      if (onFail != null) onFail('提交失败');
    }
  }
}