import 'package:leancloud_storage/leancloud.dart';
import 'dart:io';
import 'package:device_info/device_info.dart';

// 操作日志
class APIOperationLog {

  // 提交操作日志
  static commitOperationLog(String logName, String nikeName, String mobile,String pumpHouseTerminalAddress, String version,{Function(LCObject) onSucc, Function(String) onFail}) async {
    DeviceInfoPlugin deviceInfo = DeviceInfoPlugin();
    String deviceType = '';
    if (Platform.isIOS) {
      IosDeviceInfo iosInfo = await deviceInfo.iosInfo;
      String manufacturer = iosInfo?.model ?? '未知品牌';
      String model = iosInfo?.name ?? '未知机型';
      String systemVersion = iosInfo?.systemVersion ?? '未知系统';
      deviceType = manufacturer + ' ' + model + ' ' + systemVersion;
    } else {
      AndroidDeviceInfo androidInfo = await deviceInfo.androidInfo;
      String manufacturer = androidInfo?.manufacturer ?? '未知品牌';
      String model = androidInfo?.model ?? '未知机型';
      String incremental = androidInfo?.version?.incremental ?? '未知版本';
      String release = androidInfo?.version?.release ?? '未知版本';
      deviceType =
          manufacturer + ' ' + model + ' ' + incremental + ' ' + release;
    }
    try {
      LCObject object = LCObject('OperationLog');
      object['logName'] = logName ?? '';
      object['nikeName'] = nikeName ?? '';
      object['mobile'] = mobile ?? '';
      object['deviceType'] = deviceType ?? '';
      object['pumpHouseTerminalAddress'] = pumpHouseTerminalAddress ?? '';
      object['version'] = version ?? '';
      final resp = await object.save();
      if (onSucc != null) onSucc(resp);
    } on LCException catch (_) {
      if (onFail != null) onFail('提交失败');
    }
  }
}